šŸ”“šŸ”µ Assign a new nutritional plan to a user.

Creates and assigns a new nutritional plan to the specified user.

If a nutritional plan already exists for today's date, it will be deleted and replaced. If there's an active plan, it will be deactivated.


Requirements

  • The user profile must contain the following data:
    • Weight
    • Height
    • Sex
    • Lifestyle
  • If missing, the request will fail with a detailed error and instructions to update the profile using:
    • /v2/profile/modifyUserProfileInfo (šŸ”“ APIUSER)

    • /v2/users/modifyUserProfileInfo (šŸ”µ APIUSERMANAGER)


Field Requirements by Plan Type

  • Type: BALANCED_DIET
    • Required Fields: type, user_id
      Description: No further parameters are required.

  • Type: GAIN_MUSCLE
    • Required Fields: type, user_id, growth_intensity, date
      Description: Requires both the muscle growth intensity and the goal date to be specified.

  • Type: WEIGHT_LOSS
    • Required Fields: type, user_id, weight_goal, date
      Description: Requires a target weight and future date.

Refer to the v2/nutritional_plan/info endpoint to retrieve required fields dynamically based on plan type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

The type of nutritional plan to assign.

Allowed:
integer
required

ID of the user who will receive the nutritional plan.

float

Target weight in kilograms.

Required for WEIGHT_LOSS plans.

date

Target date to reach the goal (YYYY-MM-DD format).

Must be a future date.

Required for WEIGHT_LOSS and GAIN_MUSCLE plans.

float
enum

Desired muscle growth intensity (Kg per week).

Required for GAIN_MUSCLE plans.

Allowed:
Responses

400

Bad request

401

Unauthorized, invalid token.

403

Forbidden

404

Not found

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json